%{?nodejs_find_provides_and_requires}

%global packagename temp-write

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-temp-write
Version:	3.3.0
Release:	4%{?dist}
Summary:	Write string/buffer/stream to a random temp file

License:	MIT
URL:		https://github.com/sindresorhus/temp-write
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source2:	https://raw.githubusercontent.com/sindresorhus/%{packagename}/v%{version}/test.js
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(graceful-fs)
BuildRequires:	npm(is-stream)
BuildRequires:	npm(make-dir)
BuildRequires:	npm(pify)
BuildRequires:	npm(temp-dir)
BuildRequires:	npm(uuid)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Write string/buffer/stream to a random temp file


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE2} .

%nodejs_fixdep uuid

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 3.3.0-1
- Update to upstream 3.3.0 release

* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 3.2.0-1
- Initial packaging
